Jupiter(3)

NAME
Jupiter -

  Functions
double ln_get_jupiter_equ_sdiam (double JD)
Calculate the equatorial semidiameter of Jupiter in arc seconds.
double ln_get_jupiter_pol_sdiam (double JD)
Calculate the polar semidiameter of Jupiter in arc seconds.
int ln_get_jupiter_rst (double JD, struct ln_lnlat_posn *observer, struct ln_rst_time *rst)
Calculate the time of rise, set and transit for Jupiter.
void ln_get_jupiter_helio_coords (double JD, struct ln_helio_posn *position)
Calculate Jupiter's heliocentric coordinates.
void ln_get_jupiter_equ_coords (double JD, struct ln_equ_posn *position)
Calculate Jupiter's equatorial coordinates.
double ln_get_jupiter_earth_dist (double JD)
Calculate the distance between Jupiter and the Earth in AU.
double ln_get_jupiter_solar_dist (double JD)
Calculate the distance between Jupiter and the Sun in AU.
double ln_get_jupiter_magnitude (double JD)
Calculate the visible magnitude of Jupiter.
double ln_get_jupiter_disk (double JD)
Calculate the illuminated fraction of Jupiter's disk.
double ln_get_jupiter_phase (double JD)
Calculate the phase angle of Jupiter.
void ln_get_jupiter_rect_helio (double JD, struct ln_rect_posn *position)
Calculate Jupiters rectangular heliocentric coordinates.

Detailed Description

Functions relating to the planet Jupiter.

All angles are expressed in degrees.

Function Documentation

  double ln_get_jupiter_disk (doubleJD)

Calculate the illuminated fraction of Jupiter's disk.

Parameters:
    JD Julian day.

Returns:
    Illuminated fraction of Jupiters disk (Value between 0 and 1)

Calculate the illuminated fraction of Jupiter's disk for the given Julian day.

Returns:
    Illuminated fraction of Jupiter's disk

References ln_get_earth_solar_dist(), ln_get_jupiter_earth_dist(), ln_get_jupiter_solar_dist(), and ln_helio_posn::R.

  double ln_get_jupiter_earth_dist (doubleJD)

Calculate the distance between Jupiter and the Earth in AU. Calculate the distance between Jupiter and the Earth.

Parameters:
    JD Julian day.

Returns:
    Distance in AU.

Calculates the distance in AU between the Earth and Jupiter for the given julian day.

Returns:
    Distance in AU

References ln_get_earth_helio_coords(), ln_get_jupiter_helio_coords(), ln_get_rect_from_helio(), ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_jupiter_disk(), ln_get_jupiter_equ_sdiam(), ln_get_jupiter_magnitude(), ln_get_jupiter_phase(), and ln_get_jupiter_pol_sdiam().

  void ln_get_jupiter_equ_coords (doubleJD, struct ln_equ_posn *position)

Calculate Jupiter's equatorial coordinates.

Parameters:
    JD julian Day
    position Pointer to store position

Calculates Jupiter's equatorial position for given julian day. This function includes calculations for planetary aberration and refers to the FK5 reference frame.

To get the complete equatorial coordinates, corrections for nutation have to be applied.

The position returned is accurate to within 0.1 arcsecs.

References ln_equ_posn::dec, ln_get_jupiter_helio_coords(), ln_get_rect_from_helio(), ln_get_solar_geom_coords(), ln_rad_to_deg(), ln_range_degrees(), ln_equ_posn::ra, ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_jupiter_rst().

  double ln_get_jupiter_equ_sdiam (doubleJD)

Calculate the equatorial semidiameter of Jupiter in arc seconds.

Parameters:
    JD Julian day

Returns:
    Semidiameter in arc seconds

Calculate the equatorial semidiameter of Jupiter in arc seconds for the given julian day.

References ln_get_jupiter_earth_dist().

  void ln_get_jupiter_helio_coords (doubleJD, struct ln_helio_posn *position)

Calculate Jupiter's heliocentric coordinates.

Parameters:
    JD Julian Day
    position Pointer to store heliocentric position

Calculate Jupiters heliocentric (refered to the centre of the Sun) coordinates in the FK5 reference frame for the given julian day. Longitude and Latitude are in degrees, whilst radius vector is in AU.

References ln_helio_posn::B, ln_helio_posn::L, ln_rad_to_deg(), ln_range_degrees(), ln_vsop87_to_fk5(), and ln_helio_posn::R.

Referenced by ln_get_jupiter_earth_dist(), ln_get_jupiter_equ_coords(), ln_get_jupiter_rect_helio(), and ln_get_jupiter_solar_dist().

  double ln_get_jupiter_magnitude (doubleJD)

Calculate the visible magnitude of Jupiter.

Parameters:
    JD Julian day

Returns:
    Visible magnitude of Jupiter

Calculate the visible magnitude of jupiter for the given julian day.

Returns:
    Visible magnitude of Jupiter

References ln_get_jupiter_earth_dist(), ln_get_jupiter_phase(), and ln_get_jupiter_solar_dist().

  double ln_get_jupiter_phase (doubleJD)

Calculate the phase angle of Jupiter.

Parameters:
    JD Julian Day

Returns:
    Phase angle of Jupiter (degrees)

Calculates the phase angle of Jupiter, that is, the angle Sun - Jupiter - Earth for the given Julian day.

Returns:
    Phase angle of Jupiter (degrees)

References ln_get_earth_solar_dist(), ln_get_jupiter_earth_dist(), ln_get_jupiter_solar_dist(), ln_rad_to_deg(), and ln_helio_posn::R.

Referenced by ln_get_jupiter_magnitude().

  double ln_get_jupiter_pol_sdiam (doubleJD)

Calculate the polar semidiameter of Jupiter in arc seconds.

Parameters:
    JD Julian day

Returns:
    Semidiameter in arc seconds

Todo
    Use Jupitercentric latitude of Earth Pg 390

Calculate the polar semidiameter of Jupiter in arc seconds for the given julian day.

References ln_get_jupiter_earth_dist().

  void ln_get_jupiter_rect_helio (doubleJD, struct ln_rect_posn *position)

Calculate Jupiters rectangular heliocentric coordinates.

Parameters:
    JD Julian day.
    position pointer to return position

Calculate Jupiters rectangular heliocentric coordinates for the given Julian day. Coordinates are in AU.

References ln_get_jupiter_helio_coords(), and ln_get_rect_from_helio().

  double ln_get_jupiter_rst (doubleJD, struct ln_lnlat_posn *observer, struct ln_rst_time *rst)

Calculate the time of rise, set and transit for Jupiter.

Parameters:
    JD Julian day
    observer Observers position
    rst Pointer to store Rise, Set and Transit time in JD

Returns:
    0 for success, else 1 for circumpolar.

Calculate the time the rise, set and transit (crosses the local meridian at upper culmination) time of Jupiter for the given Julian day.

Note: this functions returns 1 if Jupiter is circumpolar, that is it remains the whole day either above or below the horizon.

References ln_get_body_rst_horizon(), and ln_get_jupiter_equ_coords().

  double ln_get_jupiter_solar_dist (doubleJD)

Calculate the distance between Jupiter and the Sun in AU. Calculate the distance between Jupiter and the Sun.

Parameters:
    JD Julian day.

Returns:
    Distance in AU.

Calculates the distance in AU between the Sun and Jupiter for the given julian day.

Returns:
    Distance in AU

References ln_get_jupiter_helio_coords(), and ln_helio_posn::R.

Referenced by ln_get_jupiter_disk(), ln_get_jupiter_magnitude(), and ln_get_jupiter_phase().

Author

Generated automatically by Doxygen for libnova from the source code.